Skip to main content
GET
/
trips
/
stream
Get Trips Stream
curl --request GET \
  --url https://api.samsara.com/trips/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "12345",
        "name": "MyAsset-1234",
        "type": "trailer",
        "vin": "1GBJ6P1B2HV112765"
      },
      "completionStatus": "completed",
      "createdAtTime": "2024-04-16T19:08:25Z",
      "startLocation": {
        "headingDegrees": 120,
        "latitude": 37.7749,
        "longitude": 137.2719,
        "accuracyMeters": 5.801,
        "address": {
          "city": "New York",
          "country": "USA",
          "neighborhood": "Mission District",
          "pointOfInterest": "The Eiffel Tower",
          "postalCode": "10010",
          "state": "New York",
          "street": "Main Street",
          "streetNumber": "16"
        },
        "geofence": {
          "externalIds": {},
          "id": "12345"
        }
      },
      "tripStartTime": "2024-04-16T19:08:25Z",
      "updatedAtTime": "2024-04-16T19:08:25Z",
      "endLocation": {
        "headingDegrees": 120,
        "latitude": 37.7749,
        "longitude": 137.2719,
        "accuracyMeters": 5.801,
        "address": {
          "city": "New York",
          "country": "USA",
          "neighborhood": "Mission District",
          "pointOfInterest": "The Eiffel Tower",
          "postalCode": "10010",
          "state": "New York",
          "street": "Main Street",
          "streetNumber": "16"
        },
        "geofence": {
          "externalIds": {},
          "id": "12345"
        }
      },
      "tripEndTime": "2024-04-16T20:00:00Z"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

includeAsset
boolean
default:false

Indicates whether or not to return expanded “asset” data

completionStatus
enum<string>
default:all

Filters trips based on a specific completion status Valid values: inProgress, completed, all

Available options:
inProgress,
completed,
all
startTime
string
required

RFC 3339 timestamp that indicates when to begin receiving data. Value is compared against updatedAtTime or tripStartTime depending on the queryBy parameter.

endTime
string

RFC 3339 timestamp which is compared against updatedAtTime or tripStartTime depending on the queryBy parameter. If not provided then the endpoint behaves as an unending feed of changes.

queryBy
enum<string>
default:updatedAtTime

Decide which timestamp the startTime and endTime are compared to. Valid values: updatedAtTime, tripStartTime

Available options:
updatedAtTime,
tripStartTime
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

ids
string[]
required

Comma-separated list of asset IDs. Include up to 50 asset IDs.

Response

OK response.

data
object[]
required

List of trips

pagination
object
required

Pagination parameters.